%global plugin_name scm-api

Summary:    This plugin provides a new API for interacting with SCM systems
Name:       jenkins-plugin-%{plugin_name}
Version:    1.2
Release:    1%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Scm+Api+Plugin
# AltURL:   https://github.com/jenkinsci/scm-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.596.1

%description
This plugin provides a new enhanced API for interacting with SCM systems.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.2-1
- Initial package
